#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa46ca68e, "xt_register_targets" },
	{ 0xdcb764ad, "memset" },
	{ 0x9a501025, "nf_route" },
	{ 0x29f2685b, "dst_release" },
	{ 0xd1fa14ae, "skb_ensure_writable" },
	{ 0x90e4b40d, "inet_proto_csum_replace4" },
	{ 0x9c37d0a6, "pskb_expand_head" },
	{ 0xe9ff6e6c, "skb_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd0cc537b, "ipv6_skip_exthdr" },
	{ 0x4a00eb45, "xt_unregister_targets" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

